//Recording Duration (Elapsed)

//Request recording status of device every 1 second 
IR.AddListener(IR.EVENT_START, 0, function()  
{
    IR.GetDevice("SS2-REC-01-CTRL");
    sendRequests();       
});

    IR.SetInterval(1000, sendRequests);
    function sendRequests()
{

//Send command to request elapsed recording time and get a response as text
IR.GetDevice("SS2-REC-01-CTRL").Send(['35I',0x0D], 1).text;
IR.AddListener(IR.EVENT_RECEIVE_TEXT, IR.GetDevice("SS2-REC-01-CTRL"), function(text)
 
//Device will respond with elapsed recording time HH:MM:SS i.e. 00:20:45
{  
var elapsed = text.toString();
var tcode = elapsed.slice(0, 8)

if (tcode.charAt(2) == ':') 

    {
    IR.SetVariable("Drivers.SS2-REC-01-CTRL.G37_Timecode", tcode); 
    } 
    {
    IR.Log("G37 Elapsed Time = " + elapsed);
    }   
})
}