//Recording Status

//Request recording status of device every 1 second 
IR.AddListener(IR.EVENT_START, 0, function()  
{
   IR.GetDevice("SS1-REC-01-CTRL");
   sendRequests();       
});

IR.SetInterval(1000, sendRequests);
function sendRequests()
{

//Send command to request recording status and receive the response as text
IR.GetDevice("SS1-REC-01-CTRL").Send([0x1B,'YRCDR',0x0D], 1).text;
IR.AddListener(IR.EVENT_RECEIVE_TEXT, IR.GetDevice("SS1-REC-01-CTRL"), function(text)
    
//Device will respond 0, 1, 2, or 3 (0=Stop, 1=Record, 2=Pause, 3=Initialisation)
{
    if (text.charAt(2) !== ':') 
    {   
    var output = text.charAt(0)
    switch (output)
    {
        case '0':
        
            IR.SetVariable("Drivers.SS1-REC-01-CTRL.G39_Record_Status", "Stopped");
            
        break;
        case '1': 
        
            IR.SetVariable("Drivers.SS1-REC-01-CTRL.G39_Record_Status", "Recording");
        
 
        break;
        case '2': 
        
            IR.SetVariable("Drivers.SS1-REC-01-CTRLG39_.Record_Status", "Pause");
        
            
        break;    
        case '3': 
        
            IR.SetVariable("Drivers.SS1-REC-01-CTRL.G39_Record_Status", "Initialising");
        
            
        break;
        default: 
        break;  
    }
    }
    {
    IR.Log("G39 Recording Status = " + text);
    }   
})
}